Logo

Geohot: PurpleRa1n y PurpleSn0w incompatibles y sin soporte para el iPhone firmware 3.0.1

Geohot: “Ya no se puede hacer jailbreak ni desbloquear el iPhone con PurpleRa1n y PurpleSn0w respectivamente en el iPhone 3G y 3GS con OS 3.0.1“.

Georze Hotz, creador de las herramientas PurpleRa1n y PurpleSn0w ha publicado un comunicado informando que sus herramientas son incompatibles con el iPhone OS 3.0.1.

Los cambios del OS 3.0 al OS 3.0.1 son menores y que es muy perezoso para crear una herramienta compatible con las dos ediciones. De esta manera sugiere utilizar las herramientas del Dev-Team. Remplazar el PurpleRa1n por el RedSn0w para hacer jailbreak y remplazar el PurpleSn0w por el UltraSn0w para desbloquear y liberar los dispositivos móviles de Apple.

Flojera… me deja mucho que desear. Si pide donaciones por sus herramientas creo que los usuarios que le enviaron dinero deberían de tener algo de consideración y respeto. Además en algún momento mencionó la palabra “soporte”.

Currently, it doesn’t work, and I don’t plan to ever make it work. Apple changed the kernel from 3.0 to 3.0.1, and I patch the kernel in a very specific spot. I code to make things simple, hacky, and fast. Dev codes to make things proper, slow, and complicated; redsn0w works OOTB. I could imagine a tool that takes the best of both worlds. No reason you need to push buttons or give the jailbreak program an ipsw; you can still write something generic that’ll work on every device and version. And be fast. But I’m too lazy to write it.

Someone enterprising out there could probably fix it, it’s just the kernel patches that are in the wrong place. Exploit and 99% of payload will work fine. But otherwise, purplera1n RIP. It was really more proof of concept to show whats possible; same thing with purplesn0w.

If I do another tool release, it’ll hit the ipt3 and ra1nydayless 3GS. Told you I had more holes.

Realizar comentario